import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bchrel {
    
    @observable
    accbch=""           // \bchgrp\rec\accbch    记账机构 

    @observable
    adrcn=""           // \bchgrp\rec\adrcn    中文地址 

    @observable
    bchusr=""           // \bchgrp\rec\bchusr    核心虚拟柜员 

    @observable
    branch=""           // \bchgrp\rec\branch    机构编码 

    @observable
    corflg=""           // \bchgrp\rec\corflg    机构类型 

    @observable
    decnum=""           // \bchgrp\rec\decnum    金融机构标识码 

    @observable
    etyextkey=""           // \bchgrp\rec\etyextkey    实体组 

    @observable
    inr=""           // \bchgrp\rec\inr    唯一编号 

    @observable
    lev=""           // \bchgrp\rec\lev    机构级别 

    @observable
    namcn=""           // \bchgrp\rec\namcn    中文名称 

    @observable
    ptyinr=""           // \bchgrp\rec\ptyinr    机构信息INR 

    @observable
    rmbrpt=""           // \bchgrp\rec\rmbrpt    人行支付行号 

    @observable
    sta=""           // \bchgrp\rec\sta    机构状态 

    @observable
    upbchkey=""           // \bchgrp\rec\upbchkey    业务上交单证中心 

    @observable
    upbranch=""           // \bchgrp\rec\upbranch    上级机构编码 

    @observable
    ver=""           // \bchgrp\rec\ver    版本号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accbch=""
            this.adrcn=""
            this.bchusr=""
            this.branch=""
            this.corflg=""
            this.decnum=""
            this.etyextkey=""
            this.inr=""
            this.lev=""
            this.namcn=""
            this.ptyinr=""
            this.rmbrpt=""
            this.sta=""
            this.upbchkey=""
            this.upbranch=""
            this.ver=""
    }

} 


export default Bchrel