export default fieldSet = {
        ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\rec\ownref    Our Reference 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bodgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    usr_nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \botp\\sysmod\usr\nam    用户ID 
    ],
    dircolflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bodgrp\rec\dircolflg    Direct Collection 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bodgrp\cbs\max\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\cbs\max\amt    Balance 
    ],
    resflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bodgrp\rec\resflg    Reservated Contract 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bodgrp\cbs\opn1\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\cbs\opn1\amt    Balance 
    ],
    rcvdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bodgrp\rec\rcvdat    Date of Receipt of Documents 
    ],
    shpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bodgrp\rec\shpdat    Date of Shipment 
    ],
    predat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bodgrp\rec\predat    Presentation Date 
    ],
    advdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bodgrp\rec\advdat    Date of Advice of Documents Received 
    ],
    doctypcod:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bodgrp\rec\doctypcod    Collection Condition 
    ],
    matdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bodgrp\rec\matdat    Maturity Date 
    ],
    matpercnt:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bodgrp\rec\matpercnt    Number of Days/Months for Maturity Period 
    ],
    matperbeg:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \bodgrp\rec\matperbeg    Start of Maturity Period MATBEG 
    ],
    blk_bogdet:[
            {type:'string',max:43,message:'长度不能超过43个字符'},  // \bodgrp\blk\bogdet    BO Tenor Details 
    ],
    docgrdm_docdsclab:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \botp\docgrdm\docdsclab    Label of document description 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\drr\pts\ref    参考号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\drr\pts\extkey    客户编号 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \bodgrp\drr\pts\adrblk    SWIFT地址 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\col\pts\ref    参考号 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\col\pts\extkey    客户编号 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \bodgrp\col\pts\adrblk    SWIFT地址 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\dre\pts\ref    参考号 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bodgrp\dre\pts\extkey    客户编号 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \bodgrp\dre\pts\adrblk    SWIFT地址 
    ],
    stacty:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \bodgrp\rec\stacty    Country Code Risk Country! 
    ],
    stagod:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \bodgrp\rec\stagod    Goods Code 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
}