export default fieldSet = {
        accusr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bpdgrp\rec\accusr    客户经理 
    ],
    basrat:[
            {type:'string'},  // \bpdgrp\rec\basrat    融资利率 
    ],
    expdat:[
            {type:'string'},  // \bpdgrp\rec\expdat    融资到期日 
    ],
    fintyp:[
            {type:'string'},  // \bpdgrp\rec\fintyp    贸易融资类型 
    ],
    intday:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \bpdgrp\rec\intday    计息天数 
    ],
    nam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\rec\nam    概要描述 
    ],
    opndat:[
            {type:'string'},  // \bpdgrp\rec\opndat    起息日 
    ],
    ownbch:[
            {type:'string'},  // \bpdgrp\rec\ownbch    归属机构 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\rec\ownref    融资业务编号 
    ],
    pctfin:[
            {type:'string'},  // \bpdgrp\rec\pctfin    融资比例 
    ],
    pntnam:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\rec\pntnam    单据描述 
    ],
    pntref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\rec\pntref    单据编号 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\cbs\max\amt    Balance 
    ],
    max_cur:[
            {type:'string'},  // \bpdgrp\cbs\max\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\cbs\opn1\amt    Balance 
    ],
    opn1_cur:[
            {type:'string'},  // \bpdgrp\cbs\opn1\cur    Currency 
    ],
    pts_adrcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\fia\pts\adrcn    中文地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bpdgrp\fia\pts\extkey    客户编号 
    ],
    pts_namcn:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \bpdgrp\fia\pts\namcn    客户中文名称 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},
            {validator(rule,value,callback,source,options){
              if(value){
                if((value - 0) <= 0){
                  callback("还款金额必须大于0")
                }else{
                  return true
                }
              }else{
                callback("必输项")
              }
            }}
            // \setmod\docamt    document amount 
    ],
    setmod_doccur:[
            {type:'string'},  // \setmod\doccur    document currency 
    ],
}