import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Chgpwd {
    
    @observable
    offp_newpwd=""           // \offp\newpwd    新密码 

    @observable
    offp_newpwdcom=""           // \offp\newpwdcom    新密码确认 

    @observable
    offp_oldpwd=""           // \offp\oldpwd    原密码 
    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.offp_newpwd=""
            this.offp_newpwdcom=""
            this.offp_oldpwd=""
    }

} 


export default Chgpwd