import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbirol {
    
    @observable
    credat=""           // \rolgrp\rec\credat    创建时间 

    @observable
    etyextkey=""           // \rolgrp\rec\etyextkey    实体 

    @observable
    extkey=""           // \rolgrp\rec\extkey    角色编码 

    @observable
    inr=""           // \rolgrp\rec\inr    唯一编号 

    @observable
    remark=""           // \rolgrp\rec\remark    备注 

    @observable
    rollev=""           // \rolgrp\rec\rollev    级别 

    @observable
    rolnam=""           // \rolgrp\rec\rolnam    角色名称 

    @observable
    rolp_fillst=[]           // \rolp\fillst 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.credat=""
            this.etyextkey=""
            this.extkey=""
            this.inr=""
            this.remark=""
            this.rollev=""
            this.rolnam=""
            this.rolp_fillst=[]
    }

} 


export default Dbirol