import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dblpty {
    
    @observable
    ptyp_chnnam=""           // \ptyp\chnnam    客户名称 

    @observable
    ptyp_extkey=""           // \ptyp\extkey    机构编号 

    @observable
    ptyp_ptylst=[]           // \ptyp\ptylst 

    @observable
    ptyp_sta=""           // \ptyp\sta    客户状态 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.ptyp_chnnam=""
            this.ptyp_extkey=""
            this.ptyp_ptylst=[]
            this.ptyp_sta=""
    }

} 


export default Dblpty