import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dblusr {
    
    @observable
    dspnam=""           // \dspnam    用户名称 

    @observable
    enddat=""           // \enddat    结束日期 

    @observable
    nam=""           // \nam    用户id 

    @observable
    strdat=""           // \strdat    开始日期 

    @observable
    usrp_usrlst=[]           // \usrp\usrlst 

    @observable
    usrsta=""           // \usrsta    用户状态 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.dspnam=""
            this.enddat=""
            this.nam=""
            this.strdat=""
            this.usrp_usrlst=[]
            this.usrsta=""
    }

} 


export default Dblusr