import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Ditdck {
    
    @observable
    max_cur=""           // \bddgrp\cbs\max\cur    Currency 

    @observable
    max_amt=""           // \bddgrp\cbs\max\amt    Balance 

    @observable
    feecur=""           // \bddgrp\rec\feecur    交单行费用币种 

    @observable
    feeamt=""           // \bddgrp\rec\feeamt    交单行费用金额 

    @observable
    docamt=""           // \bddgrp\rec\docamt    索偿金额 

    @observable
    doccur=""           // \bddgrp\rec\doccur    索偿币种 

    @observable
    docinf=""           // \bddgrp\rec\docinf    单据明细 

    @observable
    pts2_extkey=""           // \bddgrp\pre\pts\extkey    客户编号 

    @observable
    pts2_namcn=""           // \bddgrp\pre\pts\namcn    客户中文名称 

    @observable
    pts2_adrcn=""           // \bddgrp\pre\pts\adrcn    中文地址 

    @observable
    pts3_extkey=""           // \bddgrp\rcv\pts\extkey    客户编号 

    @observable
    pts3_namcn=""           // \bddgrp\rcv\pts\namcn    客户中文名称 

    @observable
    pts3_adrcn=""           // \bddgrp\rcv\pts\adrcn    中文地址 

    @observable
    negsta=""           // \bddgrp\rec\negsta    议付标识 

    @observable
    tenmaxday=""           // \bddgrp\rec\tenmaxday    期限 

    @observable
    invno=""           // \bddgrp\rec\invno    发票信息 

    @observable
    matdat=""           // \bddgrp\rec\matdat    到期日 

    @observable
    tranum=""           // \bddgrp\rec\tranum    来单快递单号 

    @observable
    payinf=""           // \bddgrp\rec\payinf    远期付款指示 

    @observable
    pntinr=""           // \bddgrp\rec\pntinr    父业务索引 

    @observable
    docref=""           // \bddgrp\rec\docref    寄单索款编号 

    @observable
    ownref1=""           // \didgrp\rec\ownref    业务编号 

    @observable
    nam1=""           // \didgrp\rec\nam    概要描述 

    @observable
    opndat1=""           // \didgrp\rec\opndat    开立日期 

    @observable
    max1_cur=""           // \didgrp\cbs\max\cur    Currency 

    @observable
    max1_amt=""           // \didgrp\cbs\max\amt    Balance 

    @observable
    opn1_cur=""           // \didgrp\cbs\opn1\cur    Currency 

    @observable
    opn1_amt=""           // \didgrp\cbs\opn1\amt    Balance 

    @observable
    avbby=""           // \didgrp\rec\avbby    信用证对付方式 

    @observable
    tenmaxday1=""           // \didgrp\rec\tenmaxday    期限 

    @observable
    pts7_namcn=""           // \didgrp\apl\pts\namcn    客户中文名称 

    @observable
    pts8_namcn=""           // \didgrp\ben\pts\namcn    客户中文名称 

    @observable
    pts5_adrcn=""           // \didgrp\adv\pts\adrcn    中文地址 

    @observable
    expdat=""           // \didgrp\rec\expdat    有效日期 

    @observable
    expplc=""           // \didgrp\rec\expplc    有效地点 

    @observable
    ownref=""           // \bddgrp\rec\ownref    单据编号 

    @observable
    nam=""           // \bddgrp\rec\nam    概要描述 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    inr=""           // \bddgrp\rec\inr    索引 

    @observable
    ownusr=""           // \bddgrp\rec\ownusr    创建柜员 

    @observable
    credat=""           // \bddgrp\rec\credat    创建日期 

    @observable
    opndat=""           // \bddgrp\rec\opndat    收单日期 

    @observable
    clsdat=""           // \bddgrp\rec\clsdat    闭卷日期 

    @observable
    pnttyp=""           // \bddgrp\rec\pnttyp    父业务类型 

    @observable
    predat=""           // \bddgrp\rec\predat    寄单日期 

    @observable
    docflg=""           // \bddgrp\rec\docflg    单据类型 

    @observable
    rejflg=""           // \bddgrp\rec\rejflg    拒付标识 

    @observable
    frepayflg=""           // \bddgrp\rec\frepayflg    无偿放单标识 

    @observable
    ver=""           // \bddgrp\rec\ver    版本号 

    @observable
    etyextkey=""           // \bddgrp\rec\etyextkey    实体代码 

    @observable
    amedat=""           // \bddgrp\rec\amedat    修改日期 

    @observable
    accdat=""           // \bddgrp\rec\accdat    承兑日期 

    @observable
    ownbch=""           // \bddgrp\rec\ownbch    经办机构 

    @observable
    docsta=""           // \bddgrp\rec\docsta    单据处理状态 

    @observable
    paytyp=""           // \bddgrp\rec\paytyp    付款类型 

    @observable
    clrtyp=""           // \bddgrp\rec\clrtyp    清算方式 

    @observable
    payrmk=""           // \bddgrp\rec\payrmk    付款备注 

    @observable
    pts1_extkey=""           // \bddgrp\ben\pts\extkey    客户编号 

    @observable
    pts_extkey=""           // \bddgrp\apl\pts\extkey    客户编号 

    @observable
    rtntranum=""           // \bddgrp\rec\rtntranum    退单快递编号 

    @observable
    pts_extact=""           // \bddgrp\apl\pts\extact    结算账号 

    @observable
    pts1_extact=""           // \bddgrp\ben\pts\extact    结算账号 

    @observable
    disdos=""           // \bddgrp\rec\disdos    不符点 

    @observable
    inr1=""           // \didgrp\rec\inr    索引 

    @observable
    nomspc=""           // \didgrp\rec\nomspc    最高金额限额 

    @observable
    nomtop=""           // \didgrp\rec\nomtop    上浮 

    @observable
    nomton=""           // \didgrp\rec\nomton    下浮 

    @observable
    isstyp=""           // \didgrp\rec\isstyp    开证类型 

    @observable
    trdtyp=""           // \didgrp\rec\trdtyp    贸易方式 

    @observable
    tratyp=""           // \didgrp\rec\tratyp    货物运输或交货方式/服务方式 

    @observable
    shpfro=""           // \didgrp\rec\shpfro    货物装运地(港) 

    @observable
    shpto=""           // \didgrp\rec\shpto    货物目的地、交货地（港） 

    @observable
    shppro=""           // \didgrp\rec\shppro    服务提供地点 

    @observable
    preper=""           // \didgrp\rec\preper    交单期限 

    @observable
    shpdat=""           // \didgrp\rec\shpdat    最迟货物装运/服务提供日期  

    @observable
    shppar=""           // \didgrp\rec\shppar    分批装运货物/分次提供服务 

    @observable
    shpper=""           // \didgrp\rec\shpper    分期装运/提供服务 

    @observable
    trdapt=""           // \didgrp\rec\trdapt    分期装运/提供服务约定 

    @observable
    shptrs=""           // \didgrp\rec\shptrs    转运 

    @observable
    defdet=""           // \didgrp\rec\defdet    远期付款指示 

    @observable
    conno=""           // \didgrp\rec\conno    合同编号 

    @observable
    concur=""           // \didgrp\rec\concur    合同币种 

    @observable
    conamt=""           // \didgrp\rec\conamt    合同金额 

    @observable
    negflg=""           // \didgrp\rec\negflg    指定议付行 

    @observable
    traflg=""           // \didgrp\rec\traflg    是否可转让 

    @observable
    cfmflg=""           // \didgrp\rec\cfmflg    保兑标志 

    @observable
    lcrgod=""           // \didgrp\rec\lcrgod    货物服务描述 

    @observable
    lcrdoc=""           // \didgrp\rec\lcrdoc    单据要求 

    @observable
    adlcnd=""           // \didgrp\rec\adlcnd    附加条款 

    @observable
    ownusr1=""           // \didgrp\rec\ownusr    创建柜员 

    @observable
    credat1=""           // \didgrp\rec\credat    创建日期 

    @observable
    clsdat1=""           // \didgrp\rec\clsdat    闭卷日期 

    @observable
    amedat1=""           // \didgrp\rec\amedat    最后修改日期 

    @observable
    amenbr=""           // \didgrp\rec\amenbr    修改次数 

    @observable
    preadvdat=""           // \didgrp\rec\preadvdat    预开立日期 

    @observable
    utlnbr=""           // \didgrp\rec\utlnbr    收单次数 

    @observable
    ver1=""           // \didgrp\rec\ver    版本号 

    @observable
    rejflg1=""           // \didgrp\rec\rejflg    拒绝标识 

    @observable
    etyextkey1=""           // \didgrp\rec\etyextkey    实体 

    @observable
    rejamenbr=""           // \didgrp\rec\rejamenbr    拒绝接受修改次数 

    @observable
    clsinf=""           // \didgrp\rec\clsinf    注销/闭卷原因 

    @observable
    rejameflg=""           // \didgrp\rec\rejameflg    拒绝修改标识 

    @observable
    accusr=""           // \didgrp\rec\accusr    客户经理 

    @observable
    ownbch1=""           // \didgrp\rec\ownbch    归属机构 

    @observable
    usrbch=""           // \didgrp\rec\usrbch    经办机构 

    @observable
    adlcndame=""           // \didgrp\rec\adlcndame    附加条款历史修改记录 

    @observable
    lcrgodame=""           // \didgrp\rec\lcrgodame    货物/服务描述修改记录 

    @observable
    lcrdocame=""           // \didgrp\rec\lcrdocame    单据要求历史修改记录 

    @observable
    pts8_extkey=""           // \didgrp\ben\pts\extkey    客户编号 

    @observable
    pts5_extkey=""           // \didgrp\adv\pts\extkey    客户编号 

    @observable
    pts7_extkey=""           // \didgrp\apl\pts\extkey    客户编号 

    @observable
    pts4_extkey=""           // \didgrp\a2b\pts\extkey    客户编号 

    @observable
    pts10_extkey=""           // \didgrp\iss\pts\extkey    客户编号 

    @observable
    pts6_extkey=""           // \didgrp\age\pts\extkey    客户编号 

    @observable
    pts11_extkey=""           // \didgrp\neg\pts\extkey    客户编号 

    @observable
    pts9_extkey=""           // \didgrp\con\pts\extkey    客户编号 

    @observable
    rejreason=""           // \didgrp\rec\rejreason    通知行拒绝理由 

    @observable
    ccvamt_amt=""           // \didgrp\cbs\ccvamt\amt    Balance 

    @observable
    ccvamt_cur=""           // \didgrp\cbs\ccvamt\cur    Currency 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.max_cur=""
            this.max_amt=""
            this.feecur=""
            this.feeamt=""
            this.docamt=""
            this.doccur=""
            this.docinf=""
            this.pts2_extkey=""
            this.pts2_namcn=""
            this.pts2_adrcn=""
            this.pts3_extkey=""
            this.pts3_namcn=""
            this.pts3_adrcn=""
            this.negsta=""
            this.tenmaxday=""
            this.invno=""
            this.matdat=""
            this.tranum=""
            this.payinf=""
            this.pntinr=""
            this.docref=""
            this.ownref1=""
            this.nam1=""
            this.opndat1=""
            this.max1_cur=""
            this.max1_amt=""
            this.opn1_cur=""
            this.opn1_amt=""
            this.avbby=""
            this.tenmaxday1=""
            this.pts7_namcn=""
            this.pts8_namcn=""
            this.pts5_adrcn=""
            this.expdat=""
            this.expplc=""
            this.ownref=""
            this.nam=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_doccur=""
            this.setmod_docamt=""
            this.setmod_feemac=""
            this.setmod_setmac=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doccod=""
            this.trndoc_cortyp=""
            this.spt_inr=""
            this.glemod_glelst=[]
            this.liaall_liaallg=[]
            this.liaccv_concur=""
            this.liaccv_newamt=""
            this.liaccv_cshpct=""
            this.liaccv_chgamt=""
            this.liaccv_totcovamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_liaccvg=[]
            this.inr=""
            this.ownusr=""
            this.credat=""
            this.opndat=""
            this.clsdat=""
            this.pnttyp=""
            this.predat=""
            this.docflg=""
            this.rejflg=""
            this.frepayflg=""
            this.ver=""
            this.etyextkey=""
            this.amedat=""
            this.accdat=""
            this.ownbch=""
            this.docsta=""
            this.paytyp=""
            this.clrtyp=""
            this.payrmk=""
            this.pts1_extkey=""
            this.pts_extkey=""
            this.rtntranum=""
            this.pts_extact=""
            this.pts1_extact=""
            this.disdos=""
            this.inr1=""
            this.nomspc=""
            this.nomtop=""
            this.nomton=""
            this.isstyp=""
            this.trdtyp=""
            this.tratyp=""
            this.shpfro=""
            this.shpto=""
            this.shppro=""
            this.preper=""
            this.shpdat=""
            this.shppar=""
            this.shpper=""
            this.trdapt=""
            this.shptrs=""
            this.defdet=""
            this.conno=""
            this.concur=""
            this.conamt=""
            this.negflg=""
            this.traflg=""
            this.cfmflg=""
            this.lcrgod=""
            this.lcrdoc=""
            this.adlcnd=""
            this.ownusr1=""
            this.credat1=""
            this.clsdat1=""
            this.amedat1=""
            this.amenbr=""
            this.preadvdat=""
            this.utlnbr=""
            this.ver1=""
            this.rejflg1=""
            this.etyextkey1=""
            this.rejamenbr=""
            this.clsinf=""
            this.rejameflg=""
            this.accusr=""
            this.ownbch1=""
            this.usrbch=""
            this.adlcndame=""
            this.lcrgodame=""
            this.lcrdocame=""
            this.pts8_extkey=""
            this.pts5_extkey=""
            this.pts7_extkey=""
            this.pts4_extkey=""
            this.pts10_extkey=""
            this.pts6_extkey=""
            this.pts11_extkey=""
            this.pts9_extkey=""
            this.rejreason=""
            this.ccvamt_amt=""
            this.ccvamt_cur=""
    }

} 


export default Ditdck