import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Elschk {
    
    @observable
    chkp_chkrstlst=[]           // \chkp\chkrstlst 

    @observable
    comchk_chkdat=""           // \chkp\comchk\chkdat    对账日期 

    @observable
    chkp_smhlst=[]           // \chkp\smhlst 

    @observable
    enddat=""           // \enddat    结束日期 

    @observable
    strdat=""           // \strdat    开始日期 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.chkp_chkrstlst=[]
            this.comchk_chkdat=""
            this.chkp_smhlst=[]
            this.enddat=""
            this.strdat=""
    }

} 


export default Elschk