import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Fresel {
    
    @observable
    enddat=""           // \enddat    结束日期 

    @observable
    pts_adrcn=""           // \recp\fremsg\fmc\pts\adrcn    中文地址 

    @observable
    pts_extkey=""           // \recp\fremsg\fmc\pts\extkey    客户编号 

    @observable
    pts_namcn=""           // \recp\fremsg\fmc\pts\namcn    客户中文名称 

    @observable
    fremsg_fretxt=""           // \recp\fremsg\fretxt    Narrative 

    @observable
    recp_smhlst=[]           // \recp\smhlst 

    @observable
    strdat=""           // \strdat    开始日期 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.enddat=""
            this.pts_adrcn=""
            this.pts_extkey=""
            this.pts_namcn=""
            this.fremsg_fretxt=""
            this.recp_smhlst=[]
            this.strdat=""
    }

} 


export default Fresel