export default fieldSet = {
        gitp_drpreflglab:[
            {type:'string',max:20,message:'长度不能超过20个字符'},  // \gitp\drpreflglab    Label for Type of Request 
    ],
    ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\rec\ownref    Reference 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \gidgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    usr_nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \gitp\\sysmod\usr\nam    用户ID 
    ],
    resflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gidgrp\rec\resflg    Reserved Contract 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \gidgrp\cbs\max\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\cbs\max\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \gidgrp\cbs\opn1\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\cbs\opn1\amt    Balance 
    ],
    aammod_addamtflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gitp\aamp\aammod\addamtflg    Add. Amount 
    ],
    gitp_drpreflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gitp\drpreflg    Type of Request 
    ],
    hndtyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \gidgrp\rec\hndtyp    Handling Type 
    ],
    gartyp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gidgrp\rec\gartyp    Type of Undertaking 
    ],
    blk_apprul:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \gidgrp\blk\apprul    Applicable Rules 
    ],
    blk_apprultxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \gidgrp\blk\apprultxt    Specification of Applicable Rule 
    ],
    giduil:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \gidgrp\rec\giduil    Guarantee Language 
    ],
    gtxinr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \gidgrp\rec\gtxinr    INR of Generating Text 
    ],
    orddat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \gidgrp\rec\orddat    Date of Customer's Order 
    ],
    opndat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \gidgrp\rec\opndat    Valid from 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \gidgrp\rec\expdat    Valid until 
    ],
    expflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gidgrp\rec\expflg    Unlimited Guarantee 
    ],
    liadat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \gidgrp\rec\liadat    Liability until 
    ],
    liaflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gidgrp\rec\liaflg    Unlimited Liability 
    ],
    oldref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\rec\oldref    Old Reference 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\apl\pts\ref    参考号 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\apl\pts\extkey    客户编号 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \gidgrp\apl\pts\adrblk    SWIFT地址 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\ben\pts\ref    参考号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\ben\pts\extkey    客户编号 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \gidgrp\ben\pts\adrblk    SWIFT地址 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\iss\pts\extkey    客户编号 
    ],
    pts4_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \gidgrp\iss\pts\adrblk    SWIFT地址 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\adv\pts\extkey    客户编号 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \gidgrp\adv\pts\adrblk    SWIFT地址 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\adv\pts\ref    参考号 
    ],
    pts4_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\iss\pts\ref    参考号 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\con\pts\extkey    客户编号 
    ],
    pts3_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \gidgrp\con\pts\adrblk    SWIFT地址 
    ],
    pts3_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \gidgrp\con\pts\ref    参考号 
    ],
    gitp_gidtxtmodflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \gitp\gidtxtmodflg    Modify Guarantee Text 
    ],
    blk_gidtxt:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \gidgrp\blk\gidtxt    Guarantee Text 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
}