import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Gitsel {
    
    @observable
    gctmod_gcdlst=[]           // \gctmod\gcdlst 

    @observable
    gctmod_gcref=""           // \gctmod\gcref    索赔编号 

    @observable
    gctmod_selflg=""           // \gctmod\selflg    查询标记 

    @observable
    gitmod_gidlst=[]           // \gitmod\gidlst 

    @observable
    gitmod_ownref=""           // \gitmod\ownref    保函编号 

    @observable
    gitmod_selflg=""           // \gitmod\selflg    进口保函查询标志 

	@observable
    inr=""           // \gidgrp\rec\inr    索引
    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.gctmod_gcdlst=[]
            this.gctmod_gcref=""
            this.gctmod_selflg=""
            this.gitmod_gidlst=[]
            this.gitmod_ownref=""
            this.gitmod_selflg=""
    }

} 


export default Gitsel