export default fieldSet = {
        ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rec\ownref    Reference 
    ],
    lcrtyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\lcrtyp    Form of Documentary Credit 
    ],
    usr_nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \litp\\sysmod\usr\nam    用户ID 
    ],
    nom1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\nom1\cur    Currency 
    ],
    nom1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\nom1\amt    Balance 
    ],
    aammod_addamtflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \litp\aamp\aammod\addamtflg    Add. Amount 
    ],
    nomtop:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\nomtop    Amount Tolerance - Positive 
    ],
    nomton:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\nomton    Amount Tolerance - Negative 
    ],
    nomspc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\nomspc    Amount Specification 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\cbs\max\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cbs\max\amt    Balance 
    ],
    opndat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\opndat    Date L/C Opened/Issued 
    ],
    preadvdt:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\preadvdt    Date Pre-advised 
    ],
    shpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\shpdat    Shipment Date 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \lidgrp\rec\expdat    Date of Expiry 
    ],
    expplc:[
            {type:'string',max:29,message:'长度不能超过29个字符'},  // \lidgrp\rec\expplc    Place of Expiry 
    ],
    shppar:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rec\shppar    Partial Shipment 
    ],
    shptrs:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rec\shptrs    Transshipment 
    ],
    apprul:[
            {type:'string',max:30,message:'长度不能超过30个字符'},  // \lidgrp\rec\apprul    Applicable Rules 
    ],
    apprultxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rec\apprultxt    Other Applicable Rules 
    ],
    cnfdet:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\cnfdet    Confirmation Instructions 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\apl\pts\ref    参考号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\apl\pts\extkey    客户编号 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\apl\pts\adrblk    SWIFT地址 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\adv\pts\ref    参考号 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\adv\pts\extkey    客户编号 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\adv\pts\adrblk    SWIFT地址 
    ],
    pts4_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ben\pts\ref    参考号 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ben\pts\extkey    客户编号 
    ],
    pts4_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\ben\pts\adrblk    SWIFT地址 
    ],
    rmbflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\rmbflg    Reimbursement Information 
    ],
    revflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\revflg    Revolving Flag 
    ],
    nam:[
            {type:'string',max:140,message:'长度不能超过140个字符'},  // \lidgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    resflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\resflg    Reserved Contract 
    ],
    avbwth:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\avbwth    Available with 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\avb\pts\extkey    客户编号 
    ],
    pts3_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\avb\pts\adrblk    SWIFT地址 
    ],
    avbby:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\avbby    Available by 
    ],
    blk_defdet:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\defdet    Deferred Payment Details 
    ],
    blk_dftat:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\dftat    Drafts at 
    ],
    pts6_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\drw\pts\extkey    客户编号 
    ],
    pts6_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\drw\pts\adrblk    SWIFT地址 
    ],
    shpfro:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\shpfro    Shipment from 
    ],
    porloa:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\porloa    Port of Loading 
    ],
    pordis:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\pordis    Port of Discharge 
    ],
    shpto:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\rec\shpto    For Transportation to 
    ],
    blk_shpper:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\shpper    Shipment Period 
    ],
    blk_preper:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\preper    Presentation Period 
    ],
    blk_preperflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\blk\preperflg    Presentation Period modified 
    ],
    blk_feetxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\feetxt    Additional Details to Code for Charges 
    ],
    chato:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\chato    Own Charges Borne by 
    ],
    stacty:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \lidgrp\rec\stacty    Country Code Risk Country 
    ],
    blk_mixdet:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\blk\mixdet    Mixed Payment Details 
    ],
    tenmaxday:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \lidgrp\rec\tenmaxday    Maximum tenor in days 
    ],
    litp_avblab:[
            {type:'string',max:80,message:'长度不能超过80个字符'},  // \litp\avblab    Label Available with Bank 
    ],
    pts7_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ini\pts\ref    参考号 
    ],
    pts7_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\ini\pts\extkey    客户编号 
    ],
    pts7_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\ini\pts\adrblk    SWIFT地址 
    ],
    pts8_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rmb\pts\ref    参考号 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\a2b\pts\ref    参考号 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\a2b\pts\extkey    客户编号 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\a2b\pts\adrblk    SWIFT地址 
    ],
    pts3_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\avb\pts\ref    参考号 
    ],
    pts8_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\rmb\pts\extkey    客户编号 
    ],
    pts8_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\rmb\pts\adrblk    SWIFT地址 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \lidgrp\cmb\pts\extkey    客户编号 
    ],
    pts5_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \lidgrp\cmb\pts\adrblk    SWIFT地址 
    ],
    blk_lcrgod:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\lcrgod    Description of Goods 
    ],
    stagod:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \lidgrp\rec\stagod    Goods Code 
    ],
    blk_lcrdoc:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\lcrdoc    Documents Required 
    ],
    blk_adlcnd:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\adlcnd    Additional Conditions 
    ],
    redclsflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \lidgrp\rec\redclsflg    Red/Green Clause 
    ],
    blk_insbnk:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \lidgrp\blk\insbnk    Instructions to Paying/Accepting/Negotiating Bank 
    ],
    liaccv_concur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \liaall\liaccv\concur    业务结算币种 
    ],
    liaccv_newamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\newamt    业务金额 
    ],
    liaccv_cshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\cshpct    保证金应收比例 
    ],
    liaccv_chgamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\chgamt    变动金额 
    ],
    liaccv_totcovamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\totcovamt    保证金合计 
    ],
    liaccv_pctresamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \liaall\liaccv\pctresamt    应收/支保证金 
    ],
    liaccv_relcshpct:[
            {type:'string',max:5,message:'长度不能超过5个字符'},  // \liaall\liaccv\relcshpct    保证金实收比例 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
    cnybop_cnyflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cnybop\cnyflg    是否报送跨境人民币2101表 
    ],
    cnybop_traflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cnybop\traflg    是否报送跨境人民币2107表 
    ],
    cnybop_outflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cnybop\outflg    是否报送跨境人民币2111表 
    ],
    cnybop_libflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cnybop\libflg    是否报送跨境人民币2106表 
    ],
    cnybop_vouflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \cnybop\vouflg    是否报送跨境人民币2122表 
    ],
}