import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Loginf {
    
    @observable
    begdat=""           // \begdat    起始日期 

    @observable
    dealst=[]           // \dealst 

    @observable
    enddat=""           // \enddat    结束日期 

    @observable
    evtlst=[]           // \evtlst 

    @observable
    usrkey=""           // \usrkey    用户号 

    @observable
    usrnam=""           // \usrnam    用户名称 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.begdat=""
            this.dealst=[]
            this.enddat=""
            this.evtlst=[]
            this.usrkey=""
            this.usrnam=""
    }

} 


export default Loginf