import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bchreg {
    
    @observable
    bchsta=""           // \bchsta    复核状态 

    @observable
    enddat=""           // \enddat    结束日期 

    @observable
    namcn=""           // \namcn    机构名称 

    @observable
    recp_bchtmplst=[]           // \recp\bchtmplst 

    @observable
    rmbrpt=""           // \rmbrpt    联行行号 

    @observable
    strdat=""           // \strdat    开始日期 

    @observable
    usr_usg=""           // \sysmod\usr\usg    用户组 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.bchsta=""
            this.enddat=""
            this.namcn=""
            this.recp_bchtmplst=[]
            this.rmbrpt=""
            this.strdat=""
            this.usr_usg=""
    }

} 


export default Bchreg