export default fieldSet = {
        ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\rec\ownref    Our Reference 
    ],
    usr_nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \bctp\\sysmod\usr\nam    用户ID 
    ],
    resflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bcdgrp\rec\resflg    Reserved Contract 
    ],
    dftgarflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bcdgrp\rec\dftgarflg    Draft to be Guaranteed 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bcdgrp\cbs\max\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\cbs\max\amt    Balance 
    ],
    opn1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bcdgrp\cbs\opn1\cur    Currency 
    ],
    opn1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\cbs\opn1\amt    Balance 
    ],
    rcvdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bcdgrp\rec\rcvdat    Date Documents Received 
    ],
    predat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bcdgrp\rec\predat    Presentation Date 
    ],
    advdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bcdgrp\rec\advdat    Date of Advice of Documents Received 
    ],
    oridre:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bcdgrp\rec\oridre    Send Original Documents to Drawee 
    ],
    doctypcod:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bcdgrp\rec\doctypcod    Collection Condition 
    ],
    matdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \bcdgrp\rec\matdat    Maturity Date 
    ],
    matpercnt:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \bcdgrp\rec\matpercnt    Number of Days/Months for Maturity Period 
    ],
    matpertyp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bcdgrp\rec\matpertyp    Days/Months or Years for Maturity Period 
    ],
    matperbeg:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \bcdgrp\rec\matperbeg    Start of Maturity Period MATBEG 
    ],
    blk_bcgdet:[
            {type:'string',max:45,message:'长度不能超过45个字符'},  // \bcdgrp\blk\bcgdet    BC Tenor Details 
    ],
    blk_bcgdetflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \bcdgrp\blk\bcgdetflg    BC Tenor Details modified 
    ],
    docgrdm_docdsclab:[
            {type:'string',max:50,message:'长度不能超过50个字符'},  // \bctp\docgrdm\docdsclab    Label of document description 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\dre\pts\ref    参考号 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\dre\pts\extkey    客户编号 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \bcdgrp\dre\pts\adrblk    SWIFT地址 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\rmi\pts\ref    参考号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\rmi\pts\extkey    客户编号 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \bcdgrp\rmi\pts\adrblk    SWIFT地址 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\drr\pts\ref    参考号 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \bcdgrp\drr\pts\extkey    客户编号 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \bcdgrp\drr\pts\adrblk    SWIFT地址 
    ],
    stacty:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \bcdgrp\rec\stacty    Country Code Risk Country 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \bcdgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
}