import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Bhgame {
    
    @observable
    accbch=""           // \bhggrp\rec\accbch    记账机构 

    @observable
    adrcn=""           // \bhggrp\rec\adrcn    中文地址 

    @observable
    bchusr=""           // \bhggrp\rec\bchusr    核心虚拟柜员 

    @observable
    branch=""           // \bhggrp\rec\branch    机构编码 

    @observable
    corflg=""           // \bhggrp\rec\corflg    机构类型 

    @observable
    credat=""           // \bhggrp\rec\credat    创建时间 

    @observable
    decnum=""           // \bhggrp\rec\decnum    金融机构标识码 

    @observable
    etyextkey=""           // \bhggrp\rec\etyextkey    实体组 

    @observable
    inr=""           // \bhggrp\rec\inr    唯一编号 

    @observable
    lev=""           // \bhggrp\rec\lev    机构级别 

    @observable
    namcn=""           // \bhggrp\rec\namcn    中文名称 

    @observable
    ptyinr=""           // \bhggrp\rec\ptyinr    机构信息INR 

    @observable
    relflg=""           // \bhggrp\rec\relflg    复核状态 

    @observable
    rmbrpt=""           // \bhggrp\rec\rmbrpt    人行支付行号 

    @observable
    sta=""           // \bhggrp\rec\sta    机构状态 

    @observable
    upbchkey=""           // \bhggrp\rec\upbchkey    业务上交单证中心 

    @observable
    upbranch=""           // \bhggrp\rec\upbranch    上级机构编码 

    @observable
    ver=""           // \bhggrp\rec\ver    版本号 

    @observable
    bch_accbch=""           // \bhggrp\bch\accbch    记账机构 

    @observable
    bch_adrcn=""           // \bhggrp\bch\adrcn    中文地址 

    @observable
    bch_bchusr=""           // \bhggrp\bch\bchusr    核心虚拟柜员 

    @observable
    bch_branch=""           // \bhggrp\bch\branch    机构编码 

    @observable
    bch_corflg=""           // \bhggrp\bch\corflg    机构类型 

    @observable
    bch_decnum=""           // \bhggrp\bch\decnum    金融机构标识码 

    @observable
    bch_etyextkey=""           // \bhggrp\bch\etyextkey    实体组 

    @observable
    bch_inr=""           // \bhggrp\bch\inr    唯一编号 

    @observable
    bch_lev=""           // \bhggrp\bch\lev    机构级别 

    @observable
    bch_namcn=""           // \bhggrp\bch\namcn    中文名称 

    @observable
    bch_ptyinr=""           // \bhggrp\bch\ptyinr    机构信息INR 

    @observable
    bch_rmbrpt=""           // \bhggrp\bch\rmbrpt    人行支付行号 

    @observable
    bch_sta=""           // \bhggrp\bch\sta    机构状态 

    @observable
    bch_upbchkey=""           // \bhggrp\bch\upbchkey    业务上交单证中心 

    @observable
    bch_upbranch=""           // \bhggrp\bch\upbranch    上级机构编码 

    @observable
    bch_ver=""           // \bhggrp\bch\ver    版本号 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.accbch=""
            this.adrcn=""
            this.bchusr=""
            this.branch=""
            this.corflg=""
            this.credat=""
            this.decnum=""
            this.etyextkey=""
            this.inr=""
            this.lev=""
            this.namcn=""
            this.ptyinr=""
            this.relflg=""
            this.rmbrpt=""
            this.sta=""
            this.upbchkey=""
            this.upbranch=""
            this.ver=""
            this.bch_accbch=""
            this.bch_adrcn=""
            this.bch_bchusr=""
            this.bch_branch=""
            this.bch_corflg=""
            this.bch_decnum=""
            this.bch_etyextkey=""
            this.bch_inr=""
            this.bch_lev=""
            this.bch_namcn=""
            this.bch_ptyinr=""
            this.bch_rmbrpt=""
            this.bch_sta=""
            this.bch_upbchkey=""
            this.bch_upbranch=""
            this.bch_ver=""
    }

} 


export default Bhgame