export default fieldSet = {
  bllprc:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \bmdgrp\rec\bllprc    单据处理 
],
  docdis:[
      {type:'string',max:25,message:'长度不能超过25个字符'},  // \bmdgrp\rec\docdis    不符点 
],
  docref:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\docref    到单编号 
],
  docsta:[
      {type:'string',max:40,message:'长度不能超过40个字符'},  // \bmdgrp\rec\docsta    单据状态 
],
  opndat:[
      {type:'string'},  // \bmdgrp\rec\opndat    开立日期 
],
  ownref:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\rec\ownref    业务编号 
],
  rejrmk:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\rejrmk    拒付备注 
],
  rejsum:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \bmdgrp\rec\rejsum    拒付声明 
],
  rtndat:[
      {type:'string'},  // \bmdgrp\rec\rtndat    退单日期 
],
  rtntranum:[
      {type:'string'},  //退单快递单号
],
  avbby:[
      {type:'string',max:4,message:'长度不能超过4个字符'},  // \dedgrp\rec\avbby    信用证对付方式 
],
  expdat:[
      {type:'string'},  // \dedgrp\rec\expdat    有效日期 
],
  expplc:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\rec\expplc    有效地点 
],
  lcref:[
      {type:'string',max:35,message:'长度不能超过35个字符'},  // \dedgrp\rec\lcref    信用证编号 
],
  ownref1:[
      {type:'string',max:20,message:'长度不能超过20个字符'},  // \dedgrp\rec\ownref    业务编号 
],
  pts9_adrcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\adrcn    中文地址 
],
  pts9_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\fre\pts\extkey    客户编号 
],
  pts9_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\fre\pts\namcn    客户中文名称 
],
  pts11_adrcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\oth\pts\adrcn    中文地址 
],
  pts11_extkey:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\oth\pts\extkey    客户编号 
],
  pts11_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \bmdgrp\oth\pts\namcn    客户中文名称 
],
  pts11_ownref:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \bmdgrp\oth\pts\ownref    业务编号 
],
  pts14_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\apl\pts\namcn    客户中文名称 
],
  pts15_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\ben\pts\namcn    客户中文名称 
],
  max_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\max\amt    Balance 
],
  max_cur:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \dedgrp\cbs\max\cur    Currency 
],
  opn1_amt:[
      {type:'string',max:16,message:'长度不能超过16个字符'},  // \dedgrp\cbs\opn1\amt    Balance 
],
  opn1_cur:[
      {type:'string',max:3,message:'长度不能超过3个字符'},  // \dedgrp\cbs\opn1\cur    Currency 
],
  pts16_namcn:[
      {type:'string',max:100,message:'长度不能超过100个字符'},  // \dedgrp\iss\pts\namcn    客户中文名称 
],
}