export default fieldSet = {
        bchkey:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\bchkey    归属机构编号 
    ],
    bchnam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \usrgrp\rec\bchnam    归属机构中文名称 
            { required: true, message: '必输项' }
    ],
    bustsd:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \usrgrp\rec\bustsd    积分阈值 
    ],
    credat:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\credat    注册日期 
    ],
    dspnam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \usrgrp\rec\dspnam    用户名称 
            { required: true, message: '必输项' }
    ],
    eml:[
            {type:'string',max:80,message:'长度不能超过80个字符'},  // \usrgrp\rec\eml    电子邮件 
    ],
    etaextkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \usrgrp\rec\etaextkey    实体地址 
    ],
    ety:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\ety    实体 
    ],
    etyextkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \usrgrp\rec\etyextkey    实体关键字 
    ],
    fax:[
            {type:'string',max:30,message:'长度不能超过30个字符'},  // \usrgrp\rec\fax    传真 
    ],
    inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\inr    唯一编号 
    ],
    lstdattim:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \usrgrp\rec\lstdattim    成功登录时间 
    ],
    lstfltdattim:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\lstfltdattim    上次登录失败时间 
    ],
    nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\nam    用户ID 
            { required: true, message: '必输项' }
    ],
    pri:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \usrgrp\rec\pri    实体标志 
    ],
    pwd:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \usrgrp\rec\pwd    密码
            { required: true, message: '必输项' } 
    ],
    relamt:[
            {type:'string',max:17,message:'长度不能超过17个字符'},  // \usrgrp\rec\relamt    允许最大授权金额 
    ],
    relcur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \usrgrp\rec\relcur    授权币种 
    ],
    relgrp:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \usrgrp\rec\relgrp    授权组 
    ],
    rmbrpt:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \usrgrp\rec\rmbrpt    归属机构人行支付行号 
            { required: true, message: '必输项' }
    ],
    ssninr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\ssninr    会话INR 
    ],
    sta:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \usrgrp\rec\sta    用户状态 
    ],
    tel:[
            {type:'string',max:30,message:'长度不能超过30个字符'},  // \usrgrp\rec\tel    电话 
    ],
    tsksta:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \usrgrp\rec\tsksta    分配状态 
    ],
    usg:[
           // {type:'string',max:6,message:'长度不能超过6个字符'},  // \usrgrp\rec\usg    用户组 
            { required: true, message: '必输项' }
    ],
    usrlvl:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \usrgrp\rec\usrlvl    级别 
    ],
    valdat:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \usrgrp\rec\valdat    密码过期日 
    ],
    ver:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \usrgrp\rec\ver    版本号 
    ],
    wrksta:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \usrgrp\rec\wrksta    工作在岗状态 
    ],
    ukey:[
        {type:'string',max:32,message:'长度不能超过32个字符'},  // \urggrp\rec\ukey    ukey的dc码 
        { required: true, message: '必输项' }
],
}