import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Dbefrm {
    
    @observable
    frm=""           // \frmgrp\rec\frm    交易代码 

    @observable
    namcn=""           // \frmgrp\rec\namcn    交易中文名 

    @observable
    urlrec_fstrol1=""           // \frmgrp\urlrec\fstrol1    一级复核组 

    @observable
    urlrec_fstrol2=""           // \frmgrp\urlrec\fstrol2    一级复核组 

    @observable
    urlrec_fstrol3=""           // \frmgrp\urlrec\fstrol3    一级复核 

    @observable
    urlrec_fstrol4=""           // \frmgrp\urlrec\fstrol4    一级复核 

    @observable
    urlrec_inr=""           // \frmgrp\urlrec\inr    唯一编号 

    @observable
    urlrec_reltyp1=""           // \frmgrp\urlrec\reltyp1    总行复核层级 

    @observable
    urlrec_reltyp2=""           // \frmgrp\urlrec\reltyp2    一级分行复核层级 

    @observable
    urlrec_reltyp3=""           // \frmgrp\urlrec\reltyp3    二级分行复核层级 

    @observable
    urlrec_reltyp4=""           // \frmgrp\urlrec\reltyp4    支行复核层级 

    @observable
    urlrec_secrol1=""           // \frmgrp\urlrec\secrol1    二级复核组 

    @observable
    urlrec_secrol2=""           // \frmgrp\urlrec\secrol2    二级复核组 

    @observable
    urlrec_secrol3=""           // \frmgrp\urlrec\secrol3    二级复核 

    @observable
    urlrec_secrol4=""           // \frmgrp\urlrec\secrol4    二级复核 

    @observable
    urlrec_thirol1=""           // \frmgrp\urlrec\thirol1    三级复核组 

    @observable
    urlrec_thirol2=""           // \frmgrp\urlrec\thirol2    三级复核组 

    @observable
    urlrec_thirol3=""           // \frmgrp\urlrec\thirol3    三级复核 

    @observable
    urlrec_thirol4=""           // \frmgrp\urlrec\thirol4    三级复核 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.frm=""
            this.namcn=""
            this.urlrec_fstrol1=""
            this.urlrec_fstrol2=""
            this.urlrec_fstrol3=""
            this.urlrec_fstrol4=""
            this.urlrec_inr=""
            this.urlrec_reltyp1=""
            this.urlrec_reltyp2=""
            this.urlrec_reltyp3=""
            this.urlrec_reltyp4=""
            this.urlrec_secrol1=""
            this.urlrec_secrol2=""
            this.urlrec_secrol3=""
            this.urlrec_secrol4=""
            this.urlrec_thirol1=""
            this.urlrec_thirol2=""
            this.urlrec_thirol3=""
            this.urlrec_thirol4=""
    }

} 


export default Dbefrm