import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Getsel {
    
    @observable
    getmod_gidlst=[]           // \getmod\gidlst 

    @observable
    getmod_ownref=""           // \getmod\ownref    业务编号 

    @observable
    getmod_selflg=""           // \getmod\selflg    出口保函查询标准 

    @observable
    inr=""           // \gidgrp\rec\inr    索引

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.getmod_gidlst=[]
            this.getmod_ownref=""
            this.getmod_selflg=""
    }

} 


export default Getsel