import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Gitopn {
    
    @observable
    acc=""           // \gidgrp\rec\acc    Account for Advance Payment 

    @observable
    bilvvv=""           // \gidgrp\rec\bilvvv    利率 

    @observable
    bngcod=""           // \gidgrp\rec\bngcod    企业海关十位编码 

    @observable
    cfaguatyp=""           // \gidgrp\rec\cfaguatyp    对外担保类型 

    @observable
    cmtflg=""           // \gidgrp\rec\cmtflg    跨境人民币保函 

    @observable
    cunqii=""           // \gidgrp\rec\cunqii    流动资金�'�款利率档次 

    @observable
    expdat=""           // \gidgrp\rec\expdat    Valid until 

    @observable
    expflg=""           // \gidgrp\rec\expflg    Unlimited Guarantee 

    @observable
    fenlishi=""           // \gidgrp\rec\fenlishi    是否分离式保函 

    @observable
    fingua=""           // \gidgrp\rec\fingua    是否对外担保 

    @observable
    gartyp=""           // \gidgrp\rec\gartyp    Type of Undertaking 

    @observable
    giduil=""           // \gidgrp\rec\giduil    Guarantee Language 

    @observable
    gtxinr=""           // \gidgrp\rec\gtxinr    INR of Generating Text 

    @observable
    guaflg=""           // \gidgrp\rec\guaflg    Mortgage Flag 

    @observable
    hndtyp=""           // \gidgrp\rec\hndtyp    Handling Type 

    @observable
    inudat=""           // \gidgrp\rec\inudat    Inure Date 

    @observable
    jurlaw=""           // \gidgrp\rec\jurlaw    Law of Jurisdiction 

    @observable
    jurplc=""           // \gidgrp\rec\jurplc    Place of Jurisdiction 

    @observable
    juscod=""           // \gidgrp\rec\juscod    组织机构 

    @observable
    liadat=""           // \gidgrp\rec\liadat    Liability until 

    @observable
    liaflg=""           // \gidgrp\rec\liaflg    Unlimited Liability 

    @observable
    mannum=""           // \gidgrp\rec\mannum    手册号码 

    @observable
    nam=""           // \gidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    oldref=""           // \gidgrp\rec\oldref    Old Reference 

    @observable
    opndat=""           // \gidgrp\rec\opndat    Valid from 

    @observable
    oppbnk=""           // \gidgrp\rec\oppbnk    境内外对手行代码 

    @observable
    orcamt=""           // \gidgrp\rec\orcamt    Amount of Original Contract 

    @observable
    orccur=""           // \gidgrp\rec\orccur    Currency of Original Contract 

    @observable
    orcdat=""           // \gidgrp\rec\orcdat    Date from Original Contract 

    @observable
    orcrat=""           // \gidgrp\rec\orcrat    Percentage/Rate of Original Contract 

    @observable
    orcref=""           // \gidgrp\rec\orcref    Reference of Original Contract 

    @observable
    orddat=""           // \gidgrp\rec\orddat    Date of Customer's Order 

    @observable
    ownref=""           // \gidgrp\rec\ownref    Reference 

    @observable
    resflg=""           // \gidgrp\rec\resflg    Reserved Contract 

    @observable
    tenclsdat=""           // \gidgrp\rec\tenclsdat    Tender Closing Date 

    @observable
    tendat=""           // \gidgrp\rec\tendat    Tender Date 

    @observable
    tenref=""           // \gidgrp\rec\tenref    Tender Reference 

    @observable
    teskeyunc=""           // \gidgrp\rec\teskeyunc    Test Key Unconfirmity 

    @observable
    trmdat=""           // \gidgrp\rec\trmdat    Transmit Original Guarantee Latest on 

    @observable
    pts_adrblk=""           // \gidgrp\adv\pts\adrblk    SWIFT地址 

    @observable
    pts_extkey=""           // \gidgrp\adv\pts\extkey    客户编号 

    @observable
    pts_ref=""           // \gidgrp\adv\pts\ref    参考号 

    @observable
    pts1_adrblk=""           // \gidgrp\apl\pts\adrblk    SWIFT地址 

    @observable
    pts1_extkey=""           // \gidgrp\apl\pts\extkey    客户编号 

    @observable
    pts1_ref=""           // \gidgrp\apl\pts\ref    参考号 

    @observable
    pts2_adrblk=""           // \gidgrp\ben\pts\adrblk    SWIFT地址 

    @observable
    pts2_extkey=""           // \gidgrp\ben\pts\extkey    客户编号 

    @observable
    pts2_ref=""           // \gidgrp\ben\pts\ref    参考号 

    @observable
    blk_addinf=""           // \gidgrp\blk\addinf    Additional Info 

    @observable
    blk_apprul=""           // \gidgrp\blk\apprul    Applicable Rules 

    @observable
    blk_apprultxt=""           // \gidgrp\blk\apprultxt    Specification of Applicable Rule 

    @observable
    blk_covgodsrv=""           // \gidgrp\blk\covgodsrv    Object of Contract 

    @observable
    blk_gidtxt=""           // \gidgrp\blk\gidtxt    Guarantee Text 

    @observable
    blk_orcplc=""           // \gidgrp\blk\orcplc    Original Contract Place 

    @observable
    max_amt=""           // \gidgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \gidgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \gidgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \gidgrp\cbs\opn1\cur    Currency 

    @observable
    pts3_adrblk=""           // \gidgrp\con\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \gidgrp\con\pts\extkey    客户编号 

    @observable
    pts3_ref=""           // \gidgrp\con\pts\ref    参考号 

    @observable
    ghd_bustyp=""           // \gidgrp\ghd\bustyp    业务类型 

    @observable
    ghd_remark=""           // \gidgrp\ghd\remark    备注 

    @observable
    ghd_segtyp=""           // \gidgrp\ghd\segtyp    特殊保函类型 

    @observable
    ghd_wahnum=""           // \gidgrp\ghd\wahnum    仓库号 

    @observable
    pts4_adrblk=""           // \gidgrp\iss\pts\adrblk    SWIFT地址 

    @observable
    pts4_extkey=""           // \gidgrp\iss\pts\extkey    客户编号 

    @observable
    pts4_ref=""           // \gidgrp\iss\pts\ref    参考号 

    @observable
    usr_nam=""           // \gitp\\sysmod\usr\nam    用户ID 

    @observable
    aammod_addamtflg=""           // \gitp\aamp\aammod\addamtflg    Add. Amount 

    @observable
    gitp_drpreflg=""           // \gitp\drpreflg    Type of Request 

    @observable
    gitp_drpreflglab=""           // \gitp\drpreflglab    Label for Type of Request 

    @observable
    gitp_gidtxtmodflg=""           // \gitp\gidtxtmodflg    Modify Guarantee Text 

    @observable
    gitp_labaddinf=""           // \gitp\labaddinf    Label for Additional Info 

    @observable
    gitp_laborcdat=""           // \gitp\laborcdat    Label for Contract Date 

    @observable
    gitp_lettername=""           // \gitp\lettername    面函标题 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.acc=""
            this.bilvvv=""
            this.bngcod=""
            this.cfaguatyp=""
            this.cmtflg=""
            this.cunqii=""
            this.expdat=""
            this.expflg=""
            this.fenlishi=""
            this.fingua=""
            this.gartyp=""
            this.giduil=""
            this.gtxinr=""
            this.guaflg=""
            this.hndtyp=""
            this.inudat=""
            this.jurlaw=""
            this.jurplc=""
            this.juscod=""
            this.liadat=""
            this.liaflg=""
            this.mannum=""
            this.nam=""
            this.oldref=""
            this.opndat=""
            this.oppbnk=""
            this.orcamt=""
            this.orccur=""
            this.orcdat=""
            this.orcrat=""
            this.orcref=""
            this.orddat=""
            this.ownref=""
            this.resflg=""
            this.tenclsdat=""
            this.tendat=""
            this.tenref=""
            this.teskeyunc=""
            this.trmdat=""
            this.pts_adrblk=""
            this.pts_extkey=""
            this.pts_ref=""
            this.pts1_adrblk=""
            this.pts1_extkey=""
            this.pts1_ref=""
            this.pts2_adrblk=""
            this.pts2_extkey=""
            this.pts2_ref=""
            this.blk_addinf=""
            this.blk_apprul=""
            this.blk_apprultxt=""
            this.blk_covgodsrv=""
            this.blk_gidtxt=""
            this.blk_orcplc=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.pts3_ref=""
            this.ghd_bustyp=""
            this.ghd_remark=""
            this.ghd_segtyp=""
            this.ghd_wahnum=""
            this.pts4_adrblk=""
            this.pts4_extkey=""
            this.pts4_ref=""
            this.usr_nam=""
            this.aammod_addamtflg=""
            this.gitp_drpreflg=""
            this.gitp_drpreflglab=""
            this.gitp_gidtxtmodflg=""
            this.gitp_labaddinf=""
            this.gitp_laborcdat=""
            this.gitp_lettername=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
    }

} 


export default Gitopn