export default fieldSet = {
        ownref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\rec\ownref    Reference 
    ],
    nam:[
            {type:'string',max:40,message:'长度不能超过40个字符'},  // \ledgrp\rec\nam    Externally Displayed Name to Identify the Contract 
    ],
    lcrtyp:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \ledgrp\rec\lcrtyp    Form of Documentary Credit 
    ],
    usr_nam:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \letp\\sysmod\usr\nam    用户ID 
    ],
    collflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\collflg    Collateralized L/C 
    ],
    nom1_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \ledgrp\cbs\nom1\cur    Currency 
    ],
    nom1_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\cbs\nom1\amt    Balance 
    ],
    aammod_addamtflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \letp\aamp\aammod\addamtflg    Add. Amount 
    ],
    nomtop:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \ledgrp\rec\nomtop    Amount Tolerance - Positive 
    ],
    nomton:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \ledgrp\rec\nomton    Amount Tolerance - Negative 
    ],
    nomspc:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\nomspc    Amount Specification 
    ],
    ledgrp_preadvflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\preadvflg    PreAdvice or Notification 
    ],
    inctrf:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\inctrf    Incoming Transfer 
    ],
    resflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\resflg    Reserved Contract 
    ],
    max_cur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \ledgrp\cbs\max\cur    Currency 
    ],
    max_amt:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\cbs\max\amt    Balance 
    ],
    opndat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \ledgrp\rec\opndat    Date L/C Opened/Issued 
    ],
    preadvdt:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \ledgrp\rec\preadvdt    Date Pre-advised 
    ],
    shpdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \ledgrp\rec\shpdat    Shipment Date 
    ],
    advdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \ledgrp\rec\advdat    Date Released on 
    ],
    expdat:[
            {type:'string',max:12,message:'长度不能超过12个字符'},  // \ledgrp\rec\expdat    Date of Expiry 
    ],
    expplc:[
            {type:'string',max:29,message:'长度不能超过29个字符'},  // \ledgrp\rec\expplc    Place of Expiry 
    ],
    cnfdet:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\cnfdet    Confirmation Instructions from Iss.Bank 
    ],
    apprul:[
            {type:'string',max:30,message:'长度不能超过30个字符'},  // \ledgrp\rec\apprul    Applicable Rules 
    ],
    apprultxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\rec\apprultxt    Other Applicable Rules 
    ],
    shppar:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\rec\shppar    Partial Shipment 
    ],
    shptrs:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\rec\shptrs    Transshipment 
    ],
    pts5_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\ben\pts\ref    参考号 
    ],
    pts5_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\ben\pts\extkey    客户编号 
    ],
    pts5_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\ben\pts\adrblk    SWIFT地址 
    ],
    pts7_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\iss\pts\ref    参考号 
    ],
    pts7_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\iss\pts\extkey    客户编号 
    ],
    pts7_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\iss\pts\adrblk    SWIFT地址 
    ],
    pts3_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\apl\pts\ref    参考号 
    ],
    pts3_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\apl\pts\extkey    客户编号 
    ],
    pts3_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\apl\pts\adrblk    SWIFT地址 
    ],
    revflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\revflg    Revolving Flag 
    ],
    nonban:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\nonban    Non-Bank Issuer 
    ],
    avbwth:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\avbwth    Available with 
    ],
    pts4_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\avb\pts\extkey    客户编号 
    ],
    pts4_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\avb\pts\adrblk    SWIFT地址 
    ],
    avbby:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\avbby    Available by [AVBBY0] 
    ],
    blk_defdet:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\blk\defdet    Deferred Payment Details 
    ],
    blk_dftat:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\blk\dftat    Drafts at 
    ],
    pts6_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\drw\pts\extkey    客户编号 
    ],
    pts6_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\drw\pts\adrblk    SWIFT地址 
    ],
    shpfro:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\rec\shpfro    Shipment from 
    ],
    porloa:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\rec\porloa    Port of Loading 
    ],
    pordis:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\rec\pordis    Port of Discharge 
    ],
    shpto:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\rec\shpto    For Transportation to 
    ],
    blk_shpper:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\blk\shpper    Shipment Period 
    ],
    blk_mixdet:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\blk\mixdet    Mixed Payment Details 
    ],
    blk_preper:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\blk\preper    Presentation Period 
    ],
    blk_feetxt:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\blk\feetxt    Additional Details to Code for Charges CHATO 
    ],
    chato:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\chato    Own Charges Borne by 
    ],
    stacty:[
            {type:'string',max:2,message:'长度不能超过2个字符'},  // \ledgrp\rec\stacty    Country Code for Statistics 
    ],
    tenmaxday:[
            {type:'string',max:4,message:'长度不能超过4个字符'},  // \ledgrp\rec\tenmaxday    Maximum Tenor 
    ],
    pts1_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\adv\pts\ref    参考号 
    ],
    pts1_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\adv\pts\extkey    客户编号 
    ],
    pts1_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\adv\pts\adrblk    SWIFT地址 
    ],
    pts_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\a2b\pts\ref    参考号 
    ],
    pts_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\a2b\pts\extkey    客户编号 
    ],
    pts_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\a2b\pts\adrblk    SWIFT地址 
    ],
    cnfins:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\cnfins    Confirmation Instructions to 2nd Adv.Bank 
    ],
    pts2_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\apb\pts\ref    参考号 
    ],
    pts2_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\apb\pts\extkey    客户编号 
    ],
    pts2_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\apb\pts\adrblk    SWIFT地址 
    ],
    aplbnkdirsnd:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\aplbnkdirsnd    Send Directly to Applicant's Bank 
    ],
    pts8_ref:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\rmb\pts\ref    参考号 
    ],
    pts8_extkey:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \ledgrp\rmb\pts\extkey    客户编号 
    ],
    pts8_adrblk:[
            {type:'string',max:35,message:'长度不能超过35个字符'},  // \ledgrp\rmb\pts\adrblk    SWIFT地址 
    ],
    blk_lcrgod:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\blk\lcrgod    Description of Goods 
    ],
    stagod:[
            {type:'string',max:6,message:'长度不能超过6个字符'},  // \ledgrp\rec\stagod    Goods Code for Statistics 
    ],
    blk_lcrdoc:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\blk\lcrdoc    Documents Required 
    ],
    blk_adlcnd:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\blk\adlcnd    Additional Conditions 
    ],
    redclsflg:[
            {type:'string',max:1,message:'长度不能超过1个字符'},  // \ledgrp\rec\redclsflg    Red/Green Clause 
    ],
    blk_insbnk:[
            {type:'string',max:65,message:'长度不能超过65个字符'},  // \ledgrp\blk\insbnk    Instructions to Paying/Accepting/Negotiating Bank 
    ],
    setmod_doccur:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \setmod\doccur    document currency 
    ],
    setmod_docamt:[
            {type:'string',max:18,message:'长度不能超过18个字符'},  // \setmod\docamt    document amount 
    ],
    setmod_feemac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\feemac    FEEMAC 
    ],
    setmod_setmac:[
            {type:'string',max:200,message:'长度不能超过200个字符'},  // \setmod\setmac    SETMAC 
    ],
    trndoc_docpth:[
            {type:'string',max:100,message:'长度不能超过100个字符'},  // \trnmod\trndoc\docpth    面函路径 
    ],
    trndoc_doccod:[
            {type:'string',max:16,message:'长度不能超过16个字符'},  // \trnmod\trndoc\doccod    面函码值 
    ],
    trndoc_cortyp:[
            {type:'string',max:3,message:'长度不能超过3个字符'},  // \trnmod\trndoc\cortyp    Per Medium 
    ],
    spt_inr:[
            {type:'string',max:8,message:'长度不能超过8个字符'},  // \sysmod\spt\inr    唯一编号 
    ],
}