import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Usrreg {
    
    @observable
    dspnam=""           // \dspnam    用户名称 

    @observable
    enddat=""           // \enddat    结束日期 

    @observable
    nam=""           // \nam    用户ID 

    @observable
    recp_usrlst=[]           // \recp\usrlst 

    @observable
    relflg=""           // \relflg    复核状态 

    @observable
    strdat=""           // \strdat    开始日期 

    @observable
    usr_usg=""           // \sysmod\usr\usg    用户组 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.dspnam=""
            this.enddat=""
            this.nam=""
            this.recp_usrlst=[]
            this.relflg=""
            this.strdat=""
            this.usr_usg=""
    }

} 


export default Usrreg